/*
 * Photo Image Print System
 * Copyright (C) 2000-2005 EPSON AVASYS Corporation.
 * Copyright (C) Seiko Epson Corporation 2000-2008.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * As a special exception, EPSON AVASYS Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON AVASYS Public License and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON AVASYS Public License.
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef __PIPS_CAP_DEF_H__
#define __PIPS_CAP_DEF_H__

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

/* Process modes. */
#define PNG_TYPE 1
#define RAW_TYPE 2
#define STM_TYPE 3

#define MAX_SIZE 256

    /* Define some CAPID */
#define P_MEDIA_SIZE        1
#define P_PAPER_SOURCE      2
#define P_WIDE_PRINT        3
#define P_MEDIA_TYPE        4
#define P_RESOLUTION        5
#define P_QUALITY           6
#define P_HALF_TONE         7
#define P_MICRO_WEAVE       8
#define P_HIGH_SPEED        9
#define P_CLEAR_INK         10
#define P_AUTO_CUT          11
#define P_INK               12
#define P_FIT_PAGE          13
#define P_SCALE             14
#define P_MARGIN            15
#define P_MARGIN_X          16
#define P_MARGIN_Y          17
#define P_MULTI_PAGE        18
#define P_COLOR_MODE        19
#define P_BRIGHTNESS        20
#define P_CONTRAST          21
#define P_SATURATION        22
#define P_STRENGTH          23
#define P_STRENGTH_CYAN     24
#define P_STRENGTH_MAGENTA  25
#define P_STRENGTH_YELLOW   26
#define P_INKSET            27
#define P_MONO_COLORTONE    28

    /* Extented */
#define P_INPUT_FILE        40
#define P_OUTPUT_FILE       41
#define P_ATBMP_FILE        42
#define P_PRINTER_TYPE      43
#define P_PRINTER_NAME      44
#define P_FILTER_NAME       45
#define P_MODEL_NAME        46
#define P_DEF_MARGIN_X      47
#define P_DEF_MARGIN_Y      48
#define P_PAPER_SIZE_X      49
#define P_PAPER_SIZE_Y      50
#define P_PAPER_AREA_X      51
#define P_PAPER_AREA_Y      52
#define P_OTHER             53
#define P_QUALITY_RAW       54
#define P_INKBOX_TYPE       55
#define P_CHANGE_CARTRIDGE  56
#define P_NOZZLE_CHECK_CMD  57
#define P_DEF_PAPER_AREA_X  58
#define P_DEF_PAPER_AREA_Y  59
#define P_INK_CHANGE_SYSTEM 60
#define P_ABWP_TYPE         61

#define P_DEF_MODE         100

    /* Status Monitor-Special Case */
#define P_NO_ACTION_PAPERJAM 80
#define P_NO_ACTION          81
#define P_SPC_MODEL          82
#define P_COVER_OPEN         83
#define P_CD_DVD_OPEN        84
#define P_CD_DVD_EXPOSED     85
#define P_FRONT_TRAY_POS     86
#define P_INK_GRAYOUT        87
#define P_MAIN_CARTRIDGE     88

    /* Define error message */
#define NO_ERROR 0
    /* Option Error */
#define HAVE_ERROR           1
#define NO_OPTION_ERROR      2
#define OPTION_LESS_ERROR    3
#define OPTION_VALUES_ERROR  4
#define DUB_FILENAME_ERROR   5
#define COMBINE_OPTION_ERROR 6
#define INVALID_OPTION_ERROR 7
#define INVALID_FILTER_ERROR 8

    /* Resource File Error */
#define NO_RESOURCE_ERROR     10
#define NOT_WELL_FORM_ERROR   11
#define RESOURCE_FORMAT_ERROR 12
#define RESOURCE_OPTION_ERROR 13
#define RESOURCE_VALUES_ERROR 14
#define RESOURCE_ATTRIBUTE_ERROR 15
#define RESOURCE_EMPTY_ERROR  16
#define PARSER_ERROR          17
#define PIPSRC_NOT_FOUND      18

    /* File/Image Error */
#define IMAGE_CONVERT_ERROR    20
#define IMAGE_NO_SUPPORT_ERROR 21
#define IMAGE_ATTRIBUTE_ERROR  22
#define FILE_NOT_FOUND_ERROR   23
#define FILE_ACCESS_ERROR      24

    /* Library Error */
#define LIB_PNG_ERROR          30
#define LIB_ERROR              31
#define LIB_INTERNAL_ERROR     32
#define NOT_EXIST_HANDLE_ERROR 33


    /* Memory Error */
#define MEMORY_ERROR 40

    /* Other Error */
#define UNEXPECTED_ERROR  41
#define ABNORMAL_END      42
#define PRINTER_NOT_FOUND 43
#define DEF_PRINTER_NOT_FOUND 44
#define LPR_NOT_EXECUTED 45

#define COMMUNICATION_ERROR	46
#define UNSUPPORTED_ERROR	47
#define STATUS_ERROR		48
#define COMMAND_ERROR		49


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif //__PIPS_CAP_DEF_H__
