/* pips-capability.h -- ѥӥ���굡ǽ�󶡤�ibrary API
 *
 * Copyright (C) Seiko Epson Corporation 2008.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * As a special exception, EPSON AVASYS Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON AVASYS PUBLIC LICENCE and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON AVASYS PUBLIC LICENCE.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif


#ifndef __PIPS_CAP_H__
#define __PIPS_CAP_H__

#include "pipscap-type.h"

typedef int CapID;
typedef int CapResultCode;
typedef void *CapHandle;

typedef struct CAP_INFOR
{
    unsigned int modeid;
    unsigned int filter_type;
    CapContextList context_list;
    CapContextList sub_context_list;
    CapDatabasePtr data_list;
}
CapInfor, *CapInforPtr;


/*****************************************************************
 * API's
 *****************************************************************/
#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

    CapResultCode OpenCap (CapHandle *handle, char *printer, int filter_type, char ret_data[]);
    CapResultCode CloseCap (CapHandle handle);
    CapResultCode GetCapOption (CapHandle handle, CapID id, char *option);
    CapResultCode SetCapOption (CapHandle handle, CapID id, char *option);
    CapResultCode SetCapList (CapHandle handle, char *argv[], int nargc, char err_data[]);
    CapResultCode ReferCapRange (CapHandle handle, CapID id, ElementList *list);
    CapResultCode FixCapContext (CapHandle handle, int fuzzy);
    CapResultCode ReferCapContext (CapHandle handle, CapContextList *list);
    CapResultCode LoadCapContext (CapHandle handle, char *filename);
    CapResultCode SaveCapContext (CapHandle handle, char *filename, int save_type);
    CapResultCode GetPaperRsc (CapHandle handle, char *psid, char *ptid, LP_PS_STRUCT paper);

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __PIPS_CAP_H__ */
