/*
 * Photo Image Print System
 * Copyright (C) 2002-2005 EPSON AVASYS Corporation.
 * Copyright (C) Seiko Epson Corporation 2002-2008.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * As a special exception, EPSON AVASYS Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON AVASYS Public License and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON AVASYS Public License.
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef __PIPS_DEF_H__
#define __PIPS_DEF_H__

#include <ltdl.h>
#include <pipscap-def.h>

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE  1
#endif

#define STD_IN_NAME	"STDIN"
#define WIDTH_BYTES(bits) (((bits) + 31) / 32 * 4)

    typedef int BOOL;
    typedef unsigned char UCHAR;

    typedef struct _POINT
    {
        long x;
        long y;
    }
    POINT, *LP_POINT;

    typedef struct _RECT_STRUCT
    {
        long width;
        long height;
    }
    Rect, *Lp_Rect;

    typedef struct _RASTER_ROWS
    {
        unsigned int size;     /* Size of rows buffer */
        unsigned char *data;    /* Buffer of bitmap data */
    }
    RasterRows, *Lp_RasterRows;

    typedef struct _PRT_BAND_STRUCT
    {
        Rect clip;
        Lp_RasterRows rows;
        Lp_RasterRows at_rows;
    }
    PrtBand, *Lp_PrtBand;

    /* print¤� ѥ���*/
    typedef struct _PAPER_SIZE_STRUCT
    {
        POINT size;
        POINT area;
        POINT def_area;
        POINT margin;
        POINT def_margin;
    }
    PS_STRUCT, *LP_PS_STRUCT;

    typedef struct ELEMENT_NODE
    {
        struct ELEMENT_NODE *next;
        char *option;
        char *value;
    }
    ElementNode, *ElementList;


    typedef struct CAP_CONTEXT_NODE
    {
        struct CAP_CONTEXT_NODE *next;
        int capid;
        char *option;
    }
    CapContextNode, *CapContextList;



#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __PIPS_DEF_H__ */
